%global momorel 1

Summary: A compact getty program for virtual consoles only.
Name: mingetty
Version: 1.07
License: GPL
Release: %{momorel}m
Group: System Environment/Base
Source: mingetty-%{version}.tar.gz
Patch: mingetty-1.00-opt.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
The mingetty program is a lightweight, minimalist getty program for
use only on virtual consoles.  Mingetty is not suitable for serial
lines (you should use the mgetty program in that case).

%prep
%setup -q
%patch -p1 -b .opts

%build
make "RPM_OPTS=%{optflags}"

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/sbin
mkdir -p %{buildroot}%{_mandir}/man8

install -m 0755 mingetty %{buildroot}/sbin/
install -m 0644 mingetty.8 %{buildroot}%{_mandir}/man8/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING
/sbin/mingetty
%{_mandir}/man8/mingetty.*

%ChangeLog
* Fri Jan 30 2004 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.07-1m)
- update to 1.07 - imported from Fedora (1.07-1)
- %%global momorel

* Tue Jul 29 2003 YONEKAWA Susumu <yonekawa@mmg.roka.jp>
- (1.06-1m)
- update to 1.06
- use %%{momorel} macro
- sync with RawHide(mingetty-1.06-2)
- remove patches:
-  mingetty-0.9.4-make.patch, mingetty-0.9.4-glibc.patch,
-  mingetty-0.9.4-isprint.patch, mingetty-0.9.4-wtmplock.patch
- remove -s option from install mingetty
- remove ANNOUNCE TODO from %%doc

* Mon Feb 18 2002 Tsutomu Yasuda <tom@kondara.org>
- (0.9.4-16k)
- NoSource statement was removed.

* Wed Jul 05 2000 Toru Hoshina <t@kondara.org>
- rebuild against glibc-2.1.90, X-4.0, rpm-3.0.5.

* Fri Apr 07 2000 Takaaki Tabuchi <tab@kondara.org>
- merge redhat-6.2 (0.9.4-11).

* Thu Feb  3 2000 Bill Nottingham <notting@redhat.com>
- handle compressed man pages

* Sun Nov 7 1999 Toru Hoshina <t@kondara.org>
- be a NoSrc :-P

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 10)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Sun Aug 16 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Fri May 01 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu Apr 30 1998 Cristian Gafton <gafton@redhat.com>
- fixed build problems on intel and alpha for manhattan

* Tue Oct 21 1997 Donnie Barnes <djb@redhat.com>
- spec file cleanups

* Mon Jun 02 1997 Erik Troan <ewt@redhat.com>
~- built against glibc
